<script lang="ts" setup>
import type { BaseHero } from '@/types/base';
import { ChevronLgRight } from 'slippers-ui/icons';

interface TeamOpsCard extends BaseHero {
  images: {
    mainImage: string;
    titleIcon: string;
  };
}
defineProps<TeamOpsCard>();
</script>

<template>
  <SlpSection>
    <div class="teamops">
      <SlpRow>
        <SlpColumn class="teamops__info" :cols="5">
          <img class="teamops__logo" :src="images.titleIcon" alt="" loading="lazy" />
          <SlpTypography tag="h3" variant="heading3-bold" class="teamops__title">
            {{ title }}
          </SlpTypography>
          <SlpTypography tag="p" variant="body1">
            {{ description }}
          </SlpTypography>
          <SlpContainer class="teamops__info-links">
            <SlpButton
              v-if="primaryButton"
              variant="secondary"
              class="teamops__button"
              :data-ga-name="primaryButton?.config.dataGaName"
              :data-ga-location="primaryButton?.config.dataGaLocation"
              :href="primaryButton?.config.href"
              >{{ primaryButton?.text }}
            </SlpButton>
            <SlpButton
              v-if="secondaryButton"
              variant="tertiary"
              class="teamops__link"
              :data-ga-name="secondaryButton?.config.dataGaName"
              :data-ga-location="secondaryButton?.config.dataGaLocation"
              :href="secondaryButton?.config.href"
              >{{ secondaryButton?.text }}
              <SlpIcon class="slp-ml-8" :icon="ChevronLgRight" color="#FFFFFF" />
            </SlpButton>
          </SlpContainer>
        </SlpColumn>
        <SlpColumn :cols="7" class="teamops__image-container">
          <img class="teamops__image" :src="images.mainImage" alt="" />
        </SlpColumn>
      </SlpRow>
    </div>
  </SlpSection>
</template>

<style scoped lang="scss">
.teamops {
  color: $color-text-50;
  border: 1px solid $color-primary-100;
  border-radius: 0 0 100px 0;
  display: block;
  overflow: hidden;

  &__title {
    max-width: 300px;
    margin: $spacing-24 0;
  }

  &__info {
    background: #6d33cc;
    padding: $spacing-32;
    display: flex;
    flex-direction: column;

    &-links {
      display: flex;
      flex-direction: column;
    }
  }

  &__logo {
    filter: brightness(0) invert(1);
  }

  &__image-container {
    position: relative;
  }

  &__image {
    position: absolute;
    right: -1px;
    height: 100%;
  }

  &__button {
    margin: $spacing-32 0 $spacing-16 0;
    max-width: 273px;
  }

  &__link {
    color: $color-text-50;

    &:hover {
      text-decoration-color: $color-text-50;
    }
  }

  @media (min-width: 768px) and (max-width: 1023px) {
    &__image {
      right: 0px;
      left: -250px;
      height: 100%;
      max-width: 350%;
    }
  }

  @media (max-width: $breakpoint-md) {
    border: none;

    &__image-container {
      width: 100%;
    }

    &__info-links {
      padding: 0px;
    }

    &__button {
      max-width: 100%;
    }
  }

  @media (max-width: $breakpoint-sm) {
    &__link,
    &__button {
      justify-content: center;
    }
  }
}
</style>
